Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package stdpy.thread

## Classes
class | _local
class | error
class | LockType
## Functions
def | __getattribute__
| def __getattr__(self, key): d = _get_thread_locals(pm.Thread.getCurrentThread(), id(self)) try: return d[key] except KeyError: raise AttributeError
def | allocate_lock
def | exit
def | get_ident
def | interrupt_main
def | stack_size
def | start_new_thread
## Variables
list | __all__
int | _nextThreadId = 0
dictionary | _threads = {}
tuple | _threadsLock = pm.Mutex('thread._threadsLock')
| considerYield = pm.Thread.considerYield
| forceYield = pm.Thread.forceYield

## Detailed Description

    This module reimplements Python's native thread module using Panda
    threading constructs.  It's designed as a drop-in replacement for the
    thread module for code that works with Panda; it is necessary because
    in some compilation models, Panda's threading constructs are
    incompatible with the OS-provided threads used by Python's thread
    module.

## Function Documentation

def stdpy.thread.__getattribute__ | ( |  | self,
|  |  | key
| ) |  |

def __getattr__(self, key): d = _get_thread_locals(pm.Thread.getCurrentThread(), id(self)) try: return d[key] except KeyError: raise AttributeError

def stdpy.thread.allocate_lock | ( |  | ) |

def stdpy.thread.exit | ( |  | ) |

def stdpy.thread.get_ident | ( |  | ) |

def stdpy.thread.interrupt_main | ( |  | ) |

def stdpy.thread.stack_size | ( |  | size = `0` | ) |

def stdpy.thread.start_new_thread | ( |  | function,
|  |  | args,
|  |  | kwargs = `{}`,
|  |  | name = `None`
| ) |  |

## Variable Documentation

list __all__

Initial value:

    00001 [
    00002     'error', 'LockType',
    00003     'start_new_thread',
    00004     'interrupt_main',
    00005     'exit', 'allocate_lock', 'get_ident',
    00006     'stack_size',
    00007     'forceYield', 'considerYield',
    00008     ]

int _nextThreadId = 0

dictionary _threads = {}

tuple _threadsLock = pm.Mutex('thread._threadsLock')

considerYield = pm.Thread.considerYield

forceYield = pm.Thread.forceYield

All Classes Namespaces Functions Variables Enumerations Enumerator Properties